clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Enumerations | Functions
LoopConvertUtils.h File Reference
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Tooling/Refactoring.h"`
Include dependency graph for LoopConvertUtils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::modernize::StmtAncestorASTVisitor
| Class used build the reverse AST properties needed to detect name conflicts and free variables. More...
class | clang::tidy::modernize::ComponentFinderASTVisitor
| Class used to find the variables and member expressions on which an arbitrary expression depends. More...
class | clang::tidy::modernize::DependencyFinderASTVisitor
| Class used to determine if an expression is dependent on a variable declared inside of the loop where it would be used. More...
class | clang::tidy::modernize::DeclFinderASTVisitor
| Class used to determine if any declarations used in a Stmt would conflict with a particular identifier. More...
struct | clang::tidy::modernize::Usage
| The information needed to describe a valid convertible usage of an array index or iterator. More...
class | clang::tidy::modernize::Confidence
| A class to encapsulate lowering of the tool's confidence level. More...
class | clang::tidy::modernize::ForLoopIndexUseVisitor
| Discover usages of expressions consisting of index or iterator access. More...
struct | clang::tidy::modernize::TUTrackingInfo
class | clang::tidy::modernize::VariableNamer
| Create names for generated variables within a particular statement. More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize

## Typedefs
typedef llvm::DenseMap< const clang::Stmt *, const clang::Stmt * > | clang::tidy::modernize::StmtParentMap
| A map used to walk the AST in reverse: maps child Stmt to parent Stmt. More...
typedef llvm::DenseMap< const clang::VarDecl *, const clang::DeclStmt * > | clang::tidy::modernize::DeclParentMap
| A map used to walk the AST in reverse: maps VarDecl to the to parent DeclStmt. More...
typedef llvm::DenseMap< const clang::ForStmt *, const clang::VarDecl * > | clang::tidy::modernize::ReplacedVarsMap
| A map used to track which variables have been removed by a refactoring pass. More...
typedef llvm::DenseMap< const clang::Stmt *, std::string > | clang::tidy::modernize::StmtGeneratedVarNameMap
| A map used to remember the variable names generated in a Stmt. More...
typedef llvm::SmallVector < const clang::Expr *, 16 > | clang::tidy::modernize::ComponentVector
| A vector used to store the AST subtrees of an Expr. More...
typedef llvm::SmallVector < Usage, 8 > | clang::tidy::modernize::UsageResult

## Enumerations
enum | clang::tidy::modernize::LoopFixerKind { clang::tidy::modernize::LFK_Array, clang::tidy::modernize::LFK_Iterator, clang::tidy::modernize::LFK_PseudoArray }

## Functions
const Expr * | clang::tidy::modernize::digThroughConstructors (const Expr *E)
| Look through conversion/copy constructors to find the explicit initialization expression, returning it is found. More...
bool | clang::tidy::modernize::areSameExpr (ASTContext *Context, const Expr *First, const Expr *Second)
| Returns true when two Exprs are equivalent. More...
const DeclRefExpr * | clang::tidy::modernize::getDeclRef (const Expr *E)
| Returns the DeclRefExpr represented by E, or NULL if there isn't one. More...
bool | clang::tidy::modernize::areSameVariable (const ValueDecl *First, const ValueDecl *Second)
| Returns true when two ValueDecls are the same variable. More...